# Class DataFrameMixed

java.lang.Object
org.snpsift.annotate.mem.dataFrame.DataFrame
org.snpsift.annotate.mem.dataFrame.DataFrameMixed

All Implemented Interfaces:
  `Serializable`

public class DataFrameMixed extends DataFrame
DataFrameMixed is a specialized subclass of DataFrame that is designed to handle mixed data types. It extends the functionality of the DataFrame class by allowing both variant type counting and variant categorization to be enabled simultaneously. This class is initialized with a VariantTypeCounter and a VariantCategory, and it sets both the variant type counting and variant categorization flags to true.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class DataFrame

`MAX_ROWS_TO_SHOW`

## Constructor Summary

Constructors
Constructor
Description
`DataFrameMixed(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`

## Method Summary

### Methods inherited from class DataFrame

`add, check, columnNames, createColumn, createColumns, eq, find, get, getColumn, getRow, hasEntry, resize, set, sizeBytes, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFrameMixed

public DataFrameMixed(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)